/*
 * Polynomial.h
 *
 *  Created on: Nov 24, 2022
 *      Author: thanh
 */

#ifndef POLYNOMIAL_H_
#define POLYNOMIAL_H_

#include <iostream>
//#include <fstream>
using namespace std;

#define MAX_DEGREE 50

class Polynomial
{
    public:
        Polynomial();
        friend ostream& operator<<(ostream &os, const Polynomial &p);
        friend istream& operator>>(istream &input, Polynomial &p);
        Polynomial operator +(Polynomial const &obj);
        Polynomial operator -(Polynomial const &obj);
        double eval(double x);
    private:
        double coeffs_[MAX_DEGREE];
        int degree_;
};

#endif /* POLYNOMIAL_H_ */
